pygtk (2.24.0-0~201711230314~ubuntu18.04.1) bionic; urgency=low

  * Auto build.

 -- Norbert <nrbrtx@gmail.com>  Sun, 03 May 2020 15:32:15 +0000

pygtk (2.24.0-5.1ubuntu2) bionic; urgency=medium

  * No-change rebuild against latest pycairo

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 22 Nov 2017 22:01:49 -0500

pygtk (2.24.0-5.1ubuntu1) zesty; urgency=medium

  * Merge with Debian unstable (LP: #1662101). Remaining changes:
    - Build-Depend on adwaita-icon-theme instead of gnome-icon-theme.
      adwaita-icon-theme is the successor.

 -- FanJun Kong <fanjun.kong@canonical.com>  Mon, 27 Feb 2017 21:32:34 +0800

pygtk (2.24.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * 05_Fix_GdkColor_pixel_parse.patch: Fix bus error on sparc64.
    Closes: #839867.

 -- James Clarke <jrtc27@jrtc27.com>  Fri, 07 Oct 2016 14:49:35 +0100

pygtk (2.24.0-5) unstable; urgency=medium

  * Add build-indep and build-arch targets. Closes: #831945.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 22 Jul 2016 19:24:13 +0200

pygtk (2.24.0-4ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/bugzilla_leak_fix.patch: patch from Owen Taylor to fix a
      leak issue in pango's create_layout()
    - Build-Depend on adwaita-icon-theme instead of gnome-icon-theme.
      adwaita-icon-theme is the successor.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 18 May 2015 15:07:35 +0100

pygtk (2.24.0-4) unstable; urgency=low

  * Team upload.

  [ Josselin Mouette ]
  * Add missing epoch on libglade build-dependency.

  [ Andreas Henriksson ]
  * Fix Vcs-* URLs, pygtk is in attic (not packages/unstable).
  * Add deprecated notice to all package descriptions.

  [ Erwan Prioul ]
  * Use dh-autoreconf to fix FTBFS on ppc64el (Closes: #750663)

  [ Aurelien Jarno ]
  * Add -a to xvfb-run invokations to fix parallell build.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 24 Aug 2014 08:04:49 -0700

pygtk (2.24.0-3ubuntu4) vivid; urgency=medium

  * Build-Depend on adwaita-icon-theme instead of gnome-icon-theme.
    adwaita-icon-theme is the successor.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 29 Jan 2015 13:42:42 +0000

pygtk (2.24.0-3ubuntu3) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:50:29 +0000

pygtk (2.24.0-3ubuntu2) trusty; urgency=medium

  * Build with dh-autoreconf for new libtool.

 -- William Grant <wgrant@ubuntu.com>  Sun, 15 Dec 2013 15:07:19 +0000

pygtk (2.24.0-3ubuntu1) raring; urgency=low

  * debian/patches/bugzilla_leak_fix.patch: uploaded patch from Owen Taylor
    to fix a leak issue in pango's create_layout() (lp: #981376)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Apr 2013 19:14:40 +0200

pygtk (2.24.0-3build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 16:57:57 +0100

pygtk (2.24.0-3) unstable; urgency=low

  [ Josselin Mouette ]
  * Replace python-gobject by python-gobject-2.
  * Update repository URL.

  [ Michael Biebl ]
  * Tighten dependency between python-gtk2-dev and python-gtk2.
    Closes: #659068

 -- Michael Biebl <biebl@debian.org>  Wed, 08 Feb 2012 08:31:09 +0100

pygtk (2.24.0-2) unstable; urgency=low

  [ Josselin Mouette ]
  * Drop incorrect ${python:Provides}.

  [ Martin Pitt ]
  * debian/rules: Don't call dh_numpy when building on Ubuntu, to avoid
    dragging the sizable python-numpy into the default installation. The few
    (if any) packages which actually use numpy ought to depend on it
    themselves.
  * debian/watch: Fix syntax to actually catch the latest version.

 -- Martin Pitt <mpitt@debian.org>  Mon, 30 May 2011 11:34:42 +0200

pygtk (2.24.0-1) unstable; urgency=low

  * New upstream release (Closes: #619126).
  * debian/control.in:
    - Bump python-gobject-dev and libgtk2.0-dev build-dependencies
    - Bump python-gtk2-dev dependencies against python-gobject-dev
      and libgtk2.0-dev (Closes: #554973)
    - Drop pysupport build-dependency and bump python-all-dev
    - Bump Standards-Version to 3.9.2
    - Drop all Conflicts/Replaces, all these packages only exist prior lenny
    - Drop Python-Depends and use Depends instead
    - Don't Depends against python-dbg, let dh_python2 generate the correct
      versions
    - Drop all XB-Python-Version
    - Bump debhelper compatibility to 8
    - Add Breaks: python-gtkglext1 (<< 1.1.0-7~) to be sure it also use
      dh_python2
  * debian/rules:
    - Use dh_python2 instead of dh_pysupport
    - Set pyexecdir to install files to py_libdir_sh
    - Call dh_prep instead of dh_clean -k
  * Drop debian/patches/60_pygtk-wakeupfd-fix.patch: Fixed upstream

 -- Laurent Bigonville <bigon@debian.org>  Sat, 23 Apr 2011 12:56:38 +0200

pygtk (2.17.0-4) unstable; urgency=low

  * Provide proper support python-numpy upgrades, calling dh_numpy to
    generate correct dependencies and tighting the build-dependency on
    python-numpy-dbg (Closes: #590733)
  * Switch to format 3.0 (quilt).
  * Bump-Standards-Version to 3.9.1.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 05 Aug 2010 20:31:19 +0200

pygtk (2.17.0-3) unstable; urgency=low

  * debian/control.in:
    - Drop python2.5{,-dev} (build) dependencies. They were there to
      make sure Python had wakeupfd support, but that's already in
      stable and the 2.5 dependency will be problematic in the future,
      so drop it already. Closes: #587008.
    - Point Vcs-* to the unstable branches.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 23 Jul 2010 20:13:29 +0200

pygtk (2.17.0-2) unstable; urgency=low

  * Pass G_HOME=/ for the test suite. Fixes FTBFS. Closes: #570313.

 -- Josselin Mouette <joss@debian.org>  Tue, 13 Apr 2010 20:01:05 +0200

pygtk (2.17.0-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    - Fix typo when removing unneeded /usr/include directories.

  [ Josselin Mouette ]
  * New upstream release.
  * Bump GTK+ build-dependency.
  * 05_testPixmapCreateFromData.patch, 06_gdk.color_from_hsv.patch: 
    dropped, merged upstream.

 -- Josselin Mouette <joss@debian.org>  Tue, 13 Apr 2010 00:11:09 +0200

pygtk (2.16.0-2) unstable; urgency=low

  [ Josselin Mouette ]
  * Remove .pyc files created by the test suite in the clean target.
    Closes: #551553.

  [ Loïc Minier ]
  * Bump pango-dev bdep to 1.21.4 for pango_font_map_create_context(); thanks
    Jonas Smedegaard; closes: #554915.
  * Split make check in their own targets.
  * Also make check for -dbg builds.
  * Don't make check when nocheck is in DEB_BUILD_OPTIONS; thanks
    Daniel Schepler.
  * Set PYTHON= properly during make check.
  * Pass "-screen 0 1280x1024x24" to xvfb-run to override default 8 bpp depth
    as it might cause surprize issues -- 8bpp hasn't been supported upstream
    in the last months.

  [ Josselin Mouette ]
  * Drop references to version 2.0 in the description. Closes: #567158.

  [ Luca Falavigna ]
  * debian/patches/05_testPixmapCreateFromData.patch:
    - Backport a patch taken from upstream SVN to disable a gdk test
      which fails with RANDR extension (Closes: #548211).
  * debian/patches/06_gdk.color_from_hsv.patch:
    - Backport a patch taken from upstream SVN to fix incorrect
      gtk.gdk.color_from_hsv definition.
  * debian/control.in:
    - Add python-cairo-dbg and python-gobject-dbg to Build-Depends, they
      are required to successfully run tests at build time.
    - Drop duplicate autotools-dev build-dependency.
    - Depend on ${misc:Depends} for python-gtk2-dev and python-gtk2-dbg.
    - Bump Standards-Version to 3.8.4, no changes needed.

  [ Loïc Minier ]
  * Pass -screen to xvfb-run after the -s command-line flag and with -noreset.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 29 Jan 2010 14:41:14 +0100

pygtk (2.16.0-1) unstable; urgency=low

  * New upstream release.
    - Bump libgtk2.0-dev and python-gobject-dev build dependencies.
    - debian/patches/02_numpy.patch:
      + Removed, fixed upstream.
    - debian/patches/10_maintainer_mode.patch,
      debian/patches/70_autotools.patch:
      + Removed, no longer needed.
    - debian/patches/60_pygtk-wakeupfd-fix.patch:
      + Updated for the new version.
  * Standards-Version is 3.8.3, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 07 Sep 2009 16:33:12 +0200

pygtk (2.14.1-3) unstable; urgency=low

  [ Josselin Mouette ]
  * Fix section for debug package.

  [ Emilio Pozuelo Monfort ]
  * Stop build-depending on libgl1-mesa-dri, it was a workaround.
    Instead, require an Xvfb that isn't problematic. Closes: #524543.

  [ Josselin Mouette ]
  * 10_maintainer_mode: define AM_MAINTAINER_MODE to avoid re-running 
    the autotools during the build process.
  * 70_autoconf.patch renamed to 70_autotools.patch: run the whole 
    autotools stack, not just autoconf.
  * Together, closes: #527858.

 -- Josselin Mouette <joss@debian.org>  Fri, 29 May 2009 09:26:13 +0200

pygtk (2.14.1-2) unstable; urgency=low

  * Bring back python-numpy to Depends since get_pixels_array can be 
    used even from an application that doesn’t import numpy explicitly.
    Closes: #519233.

 -- Josselin Mouette <joss@debian.org>  Thu, 09 Apr 2009 18:59:37 +0200

pygtk (2.14.1-1) unstable; urgency=low

  * New upstream release.
    + 65_bogus-python-includes.patch: removed, merged upstream.
    + 70_autoconf.patch: regenerated.

 -- Josselin Mouette <joss@debian.org>  Mon, 09 Mar 2009 11:43:13 +0100

pygtk (2.13.0-3) unstable; urgency=low

  [ Loic Minier ]
  * Pass PYTHON to $(MAKE) runs for robustness in case of timestamp skews; see
    #509192; thanks Colin Watson for the original patch.
  * Don't purge /usr/share/doc/python-gtk2-doc/examples/demos during first
    configuration.
  * Rework patch and config.sub/.guess handling: backup config.guess and .sub,
    call quilt instead of relying on cdbs' quilt patchsys, restore
    config.guess and .sub after unpatching.  This avoids config.guess and
    .subin the diff, and allows control over fully working and fully patched
    trees.
  * Don't strip python-gtk2-dbg.
  * Rework install rules and dependencies completely to avoid .PHONY implicit
    targets.

  [ Josselin Mouette ]
  * 65_bogus-python-includes.patch: patch from Loïc Minier. Don’t 
    override PYTHON_INCLUDES, already set by AM_CHECK_PYTHON_HEADERS.
    Closes: #512345.
  * 70_autoconf.patch: refreshed.
  * Only recommend python-numpy, it can be detected at runtime.
  * Install files to the python-support directory so that the debugging 
    symbols are usable.
  * Fix quilt invocation so that patches are applied.

 -- Josselin Mouette <joss@debian.org>  Sun, 08 Mar 2009 14:51:09 +0100

pygtk (2.13.0-2) experimental; urgency=low

  * 03_testsuite_filechooser.patch: new patch. Disable the test of the 
    file chooser since it requires a writable home. Closes: #506909.

 -- Josselin Mouette <joss@debian.org>  Wed, 26 Nov 2008 00:14:32 +0100

pygtk (2.13.0-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Merge -dbg packages and running the test suite from Ubuntu,
    thanks to Sebastien Bacher:
    - debian/control.in:
      + Build-depend on python-all-dbg
      + Add python-gtk2-dbg and python-glade2-dbg packages. Closes: #470805.
      + python-gtk2 suggests python-gtk2-dbg
      + Build-depend on xvfb, needed to run make check during the build.
    - debian/rules:
      + Add -dbg magic.
      + Run the test suite.
    - debian/python-gtk2-dev.install:
      + Install pygtk-codegen-2.0, which will try to launch
        pygobject-codegen-2.0. This is for backwards compatibility.
    - debian/python-gtk2-doc.install:
      + Install pygtk-demo.

  * Merge new upstream release and fixes from Ubuntu, thanks to Loïc Minier:
    - debian/control.in:
      + Require libgtk2.0-dev >= 2.13.6 and python-gobject-dev >= 2.15.3.
      + Build-depend on xauth, xfonts-base, needed by xvfb, and on
        libgl1-mesa-dri too, until Xvfb can start without AIGLX support or it
        depends on this package.
      + Build-depend on gnome-icon-theme, since some buildds might have
        optical drives which require a special icon in the file chooser
        (needed for the test suite).
    - debian/patches/10_use-default-python.patch:
      + Removed, codegen copy has been dropped from pygtk.
    - debian/patches/50_wakeupfd-curruption.patch:
      + Removed, fixed upstream.
    - debian/python-gtk2-dev.install,
      debian/rules:
      + Drop all codegen related code.
    - debian/rules:
      + Change permission fixup constructs (chmod 755) to use xargs and not
        run if nothing has to be fixed.

  * debian/control.in:
    - Bump Standards-Version to 3.8.0.
    - Move Homepage to its own field.
    - python-glade2 suggests python-glade2-dbg.
    - Add Vcs-Browser and Vcs-Svn fields.
    - python-gtk2-doc depends on python:Depends and python-gtk2,
      needed for pygtk-demo.
    - python-gtk2-doc recommends python-gobject and python-cairo, needed
      by some examples.
    - python-gtk2-doc recommends python-glade2 for the examples, instead
      of suggest it.
    - Add XB-Python-Version to python-gtk2-doc per Python policy.
  * debian/python-gtk2-doc.install:
    - Install examples needed by pygtk-demo in /usr/lib/pygtk/2.0
      (their original place) so that pygtk-demo doesn't rely on
      /usr/share/doc being available.
  * debian/python-gtk2-doc.links,
    debian/python-gtk2-doc.preinst:
    - Link /usr/share/doc/python-gtk2-doc/examples/demos to /usr/lib/pygtk/2.0
      so that examples are still available in /usr/share/doc.
    - Make sure /usr/share/doc/python-gtk2-doc/examples/demos doesn't exist
      before upgrading to 2.13.0-1, so that the link is successfully created.
  * debian/rules:
    - Call dh_pysupport for python-gtk2-doc, so example scripts are
      byte-compiled.
    - Make $(PYVERS) have the default Python version at the end, so that
      the last pygtk build is with the default Python version and
      pygtk-demo has the default Python in the hashbang. Also this avoids
      python-gtk2-doc depending on a non-default Python version.
      Closes: #500118.
  * debian/copyright:
    - Add Copyright holders.

  [ Loic Minier ]
  * Pass -s -noreset to xvfb-run as otherwise Xvfb will reset when the first
    client (test) disconnects and xvfb-run will fail killing Xvfb.

  [ Josselin Mouette ]
  * Require python 2.5 since pygobject requires it already.
  * Do not split debug packages for glade.
  * Do not suggest the -dbg packages.
  * 01_pygtk-demo.patch: new patch.
    + Use /usr/bin/python instead of python2.X.
    + Put data in /usr/share.
  * Install the demos in /usr/share/pygtk accordingly.
  * Rename the demos symlink in examples/ into demo, to avoid doing the 
    symbolic link dance.
  * Switch to quilt for patch handling, build-depend on quilt.
  * 02_numpy.patch: new patch, mostly taken from Gentoo. Port to numpy.
    Closes: #478452.
  * 70_autoconf.patch: run autoconf on top of it.
  * Switch all dependencies to python-numpy.
  * Build-depend on python-numpy-dbg for the debugging build.
  * Copy config.{sub,guess} at config time and clean them later to avoid 
    having them in the diff.
  * Build-depend on autotools-dev.

 -- Josselin Mouette <joss@debian.org>  Wed, 12 Nov 2008 17:36:25 +0100

pygtk (2.12.1-6) unstable; urgency=low

  * 60_pygtk-wakeupfd-fix.patch: do not use the wakeup fd in 
    non-threaded applications, which is uninitialised and becomes 
    stdin. Closes: #484654, #481480.

 -- Josselin Mouette <joss@debian.org>  Sat, 07 Jun 2008 14:15:51 +0200

pygtk (2.12.1-5) unstable; urgency=low

  * Revert 2.12.1-4 upload, re-add the fix, as anyway wakeupfd is used 
    since python now supports it.
  * 50_wakeupfd-curruption.patch: fix memory corruption that occurs 
    when using the wakeupfd API, and makes pygtk mostly unusable on 
    some arches.

 -- Josselin Mouette <joss@debian.org>  Tue, 03 Jun 2008 23:08:31 +0200

pygtk (2.12.1-4) unstable; urgency=low

  * Also add an explicit python2.5 (>= 2.5.2-5) dep; closes: #481977.
  * Drop patch 60_pygtk-wakeupfd-fix, it seems to expose some python2.5
    64-bits issue; revert build-deps and deps bumps from 2.12.1-3 and -4.

 -- Loic Minier <lool@dooz.org>  Tue, 27 May 2008 16:21:53 +0200

pygtk (2.12.1-3) unstable; urgency=low

  * Bump Standards-Version to 3.7.3.
  * s/python/Python in description
  * Update 60_pygtk-wakeupfd-fix to use more ifdefs for python without the
    wakeupfd support; closes: #481457.
  * Build-dep and dep on python2.5-dev >= 2.5.2-5 for wakeupfd support.

 -- Loic Minier <lool@dooz.org>  Thu, 15 May 2008 21:59:27 +0200

pygtk (2.12.1-2) unstable; urgency=low

  * New patch, 60_pygtk-wakeupfd-fix, similar to the fix to the initial
    SETWAKEUPFD support in GNOME #481569.

 -- Loic Minier <lool@dooz.org>  Thu, 15 May 2008 15:28:29 +0200

pygtk (2.12.1-1) unstable; urgency=low

  * New upstream release.
    + Bump pygobject dependencies to 2.14.0.
    + Drop 01_glade_example_README.patch, merged upstream.
    + Same for 30_ship_gtk-extrafuncs.defs.patch.
  * Wrap Python-Depends; build-depend on python-support 0.7.6.

 -- Josselin Mouette <joss@debian.org>  Sat, 12 Jan 2008 04:03:14 +0100

pygtk (2.12.0-2) unstable; urgency=low

  [ Josselin Mouette ]
  * python-gtk2-doc.postinst: do the symbolic link dance, as the
    symbolic link used to be a directory containing the documentation in
    the split-out package. Closes: #445600.

  [ Loic Minier ]
  * Downgrade Recommends on python-gtk2-doc to Suggests in python-gtk2 and
    python-glade2 and let python-gtk2-dev Recommend python-gtk2-doc.

  [ Josselin Mouette ]
  * Remove .py[co] files in python-gtk2-doc. Closes: #452844.

  [ Loic Minier ]
  * New patch, 30_ship_gtk-extrafuncs.defs, from Ubuntu; fixes missing
    gtk-extrafuncs.defs; closes: #454247.

 -- Loic Minier <lool@dooz.org>  Tue, 04 Dec 2007 11:25:42 +0100

pygtk (2.12.0-1) unstable; urgency=low

  * New upstream release.
  * Use Python-Depends to generate python dependencies; build-depend on
    python-support 0.7.3.
  * Build-depend on GTK+ 2.12 to get the 2.12 specific features.
  * Bump pango and atk build-dependencies.

 -- Josselin Mouette <joss@debian.org>  Sat, 22 Sep 2007 13:08:29 +0200

pygtk (2.10.6-1) unstable; urgency=low

  * New upstream release; bug fix.
    - Drop patch 60_missing-codegen-fixes, merged upstream.

 -- Loic Minier <lool@dooz.org>  Tue, 10 Jul 2007 14:31:31 +0200

pygtk (2.10.5-2) unstable; urgency=high

  * New patch, 60_missing-codegen-fixes, fixes TypeError crashes in misc apps
    such as gnome-sudoku and deskbar-applet which were due to an incomplete
    backport of a codegen change; GNOME #455468.

 -- Loic Minier <lool@dooz.org>  Tue, 10 Jul 2007 13:25:26 +0200

pygtk (2.10.5-1) unstable; urgency=low

  * New upstream stable release; bug fixes.
  * Misc cleanups.

 -- Loic Minier <lool@dooz.org>  Thu, 05 Jul 2007 13:43:29 +0200

pygtk (2.10.4-3) unstable; urgency=low

  * Split the documentation in the python-gtk2-doc package as it is
    really large. Incidentally closes: #428579.
  * python:Version -> python:Versions.
  * Use source:Version and binary:Version.
  * Fix X[SB]-Python-Version mess.

 -- Josselin Mouette <joss@debian.org>  Tue, 12 Jun 2007 21:21:57 +0200

pygtk (2.10.4-2) unstable; urgency=low

  * Honor CFLAGS we set in rules, doh!
  * Set some sane default CFLAGS and honor noopt in DEB_BUILD_OPTIONS.
  * Wrap build-deps and deps.
  * Upload to unstable; drop check-dist include.
  * Fix URL in copyright.
  * Add XS and XB-Python-Version.
  * Only pass --host to configure if DEB_HOST_GNU_TYPE and DEB_BUILD_GNU_TYPE
    differ.
  * Cleanups.

 -- Loic Minier <lool@dooz.org>  Mon, 16 Apr 2007 13:02:48 +0200

pygtk (2.10.4-1) experimental; urgency=low

  * Cleanup rules.
  * Build-depend on autotools-dev.
  * New upstream stable release.
    - Drop patch 02_doc_licensing, mostly merged upstream.

 -- Loic Minier <lool@dooz.org>  Sun, 11 Mar 2007 17:22:53 +0100

pygtk (2.10.3-2) experimental; urgency=low

  * Add a get-orig-source target to retrieve the upstream tarball.
  * Include the new check-dist Makefile to prevent accidental uploads to
    unstable; bump build-dep on gnome-pkg-tools to >= 0.10.
  * Bump up libgtk2.0-dev dep to >= 2.10.0.

 -- Loic Minier <lool@dooz.org>  Fri, 26 Jan 2007 18:29:33 +0100

pygtk (2.10.3-1) experimental; urgency=low

  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Thu,  4 Jan 2007 20:53:33 +0100

pygtk (2.10.1-3) experimental; urgency=low

  * python-gtk2-dev depends on python-dev (closes: #401896).
  * rules: remove .py[co] files created in the examples directory.
  * Build-depend on docbook-xsl (closes: #397811).
  * python-gtk2-dev depends on python-gobject-dev (closes: #405348).

 -- Josselin Mouette <joss@debian.org>  Tue,  2 Jan 2007 22:26:06 +0100

pygtk (2.10.1-2) experimental; urgency=low

  * Switch to cdbs for patch handling.
  * 02_doc_licensing.patch: stolen from upstream CVS. Upstream agreed to
     relicense the documentation to LGPL.
  * copyright: document that.
  * rules: binary-indep depends on build and install.

 -- Josselin Mouette <joss@debian.org>  Thu, 12 Oct 2006 22:19:30 +0200

pygtk (2.10.1-1) experimental; urgency=low

  * New upstream release.
  * Update watch file.
  * Depend on python-gobject.
  * Remove uses of dh_python and pycompat.
  * Add appropriate build-dependencies.
  * python-gtk2.examples: install all examples.
  * python-gtk2.{install,links}: install documentation.

 -- Josselin Mouette <joss@debian.org>  Wed, 27 Sep 2006 23:36:13 +0200

pygtk (2.8.6-6) unstable; urgency=low

  * Drop alternatives usage (closes: #384189, #385027).
    + python-gtk2.install: install pygtk.py in the standard directory.
    + python-gtk2.prerm: removed.
    + python-gtk2.postinst: remove the alternatives call.
  * Add a conflict against python-gtk-1.2 (<< 0.6.12-7).
  * Remove abusive Replaces: python-gtk-1.2.

 -- Josselin Mouette <joss@debian.org>  Fri, 22 Sep 2006 21:18:07 +0200

pygtk (2.8.6-5) unstable; urgency=low

  * Add debian/control to the pyversions -r call since it's mandatory, even if
    the man page claims it's optional.
  * Update rtupdate script to handle calls with three arguments.

 -- Loic Minier <lool@dooz.org>  Sat,  5 Aug 2006 22:54:26 +0200

pygtk (2.8.6-4) unstable; urgency=low

  * Attempt at supporting pkg-config files for multiple Python runtimes:
    - Move *.pc files for each runtime in /usr/lib/pkg-config/pythonXXX.
    - Symlink the *.pc files for the default runtime in /usr/lib/pkg-config
      during python-gtk2-dev's postinst and remove the symlinks in prerm.
    - Delete and re-create the symlinks on default runtime change via a
      *.rtupdate script shipped by python-gtk2-dev.
  * Misc cleanups in rules.
  * Drop useless dh_installdirs call.
  * Check that all builds with various Python runtimes produced the same
    *.defs files, codegen, and headers, and ship files produced by the default
    Python version.

 -- Loic Minier <lool@dooz.org>  Fri, 21 Jul 2006 22:26:15 +0200

pygtk (2.8.6-3) unstable; urgency=low

  * New dpatch, 10_use-default-python, to use $PYTHON when non-empty or the
    /usr/bin/python interpreter otherise in pygtk-codegen-2.0 instead of using
    the build-time Python interpreter. (Closes: #376013, #376027)

 -- Loic Minier <lool@dooz.org>  Fri, 30 Jun 2006 18:28:01 +0200

pygtk (2.8.6-2) unstable; urgency=low

  * python-gtk2.prerm: run update-python-modules before the alternative 
    removal.

 -- Josselin Mouette <joss@debian.org>  Sun, 25 Jun 2006 15:57:05 +0200

pygtk (2.8.6-1) unstable; urgency=low

  [ Marco Cabizza ]
  * New upstream version
  * Added the watch file
  * debian/control, debian/control.in:
    - Standards-Version is 3.7.2
  * debian/compat:
    - Debhelper compatibility is 5

  [ Josselin Mouette ]
  * Revert changes from the NMU (closes: #374804, #374811).
  * Require debhelper 5.0.37.2 and python-support 0.3.4.
  * Make package binNMU-able by having python-gtk2-dev depend on
    python-gtk2 >= ${Source-Version}.
  * pycompat: python standards = 2.
  * pyversions: we need python >= 2.3.
  * Make the package comply with the new policy:
    + Remove python2.3-* and python2.4-* packages.
    + Correct package descriptions accordingly.
  * Replace the multiple alternatives in the postinst by a single
    alternative pointing to /usr/share/python-support/python-gtk.
  * python-glade2.examples: move examples one directory up.
  * rules: rework and simplify.
  * Remove move_files and use *.install files instead.
    + Don't install the .la files, which are useless anyway.
  * rules: don't use config.status as the configure target because of
    the stupid way make treats intermediary files.
  * Require some minimum versions for python-cairo and python-numeric.
  * python-gtk2.postinst: cleanup pygtk.py[co] from the former package,
    as they were not handled.

 -- Josselin Mouette <joss@debian.org>  Sat, 24 Jun 2006 12:26:15 +0200

pygtk (2.8.2-3) unstable; urgency=low

  * Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Mon,  9 Jan 2006 18:29:31 +0100

pygtk (2.8.2-2) experimental; urgency=low

  * debian/control.in:
    - python-gtk2-dev Depends on libglib2.0-dev libgtk2.0-dev.
    - updated the requirements on glib/gtk.
  * debian/rules:
    - install the example files to the versionned packages.

 -- Sebastien Bacher <seb128@debian.org>  Thu, 20 Oct 2005 11:06:23 +0200

pygtk (2.8.2-1) experimental; urgency=low

  * New upstream release.

 -- Loic Minier <lool@dooz.org>  Tue, 18 Oct 2005 17:25:11 +0200

pygtk (2.8.1-1) experimental; urgency=low

  * New upstream release.
  * Copy python2.3-glade2.examples to python2.4-glade2.examples.
    (Closes: #331403) [debian/python2.4-glade2.examples]
  * Fix python 2.3 / 2.4 substitution, patch by Roland Stigge.
    (Closes: #331402) [debian/rules]

 -- Loic Minier <lool@dooz.org>  Sun,  9 Oct 2005 13:54:06 +0200

pygtk (2.8.0-1) experimental; urgency=low

  * New upstream version (Closes: #325986)
  * debian/control.in:
  - Build-Dep on gtk+ >= 2.8.0, libxrender-dev (added)
  - Build-Dep on python-cairo-dev
  - python2.?-gtk2 Depend on the corresponding python2.?-cairo packages

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 27 Sep 2005 14:38:26 -0300

pygtk (2.6.3-1) unstable; urgency=low

  * New upstream version
  * debian/patches/01_glade_example_README.dpatch (added), debian/rules:
  - fix name of the script to be called on the README and do not compress
    the sample glade files (Closes: #270478)
  * debian/copyright:
  - fix FSF's address
  * debian/control.in:
  - upgraded Standards-Version to 3.6.2 with no changes

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 21 Sep 2005 14:35:43 -0300

pygtk (2.6.2-3) UNRELEASED; urgency=low

  * debian/control.in, debian/rules, python2.4-gtk2.{postinst,prerm}:
  - support 2.4 versions of the packages (Closes: #292796, #329029)
  - some help from Bastian Kleineidam <calvin@debian.org>'s patch and
    advice from Ross Burton and Sebastien Bacher were used
  * debian/rules:
  - readded the code to update config.{sub,guess}
  * debian/control.in, debian/changelog, debian/README.Debian:
  - change source package name

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 21 Sep 2005 11:00:19 -0300

python-gtk2 (2.6.2-2) UNRELEASED; urgency=low

  * Move source to pkg-gnome, and add GNOME Team to uploaders
  * Remove useless Mesa build-dep
  * Add missing libglib2.0-dev build-dep
  * Remove useless (I hope) patch to config.sub/config.guess

 -- Ross Burton <ross@debian.org>  Fri,  9 Sep 2005 17:31:51 +0100

python-gtk2 (2.6.2-1) unstable; urgency=low

  * New upstream version.

 -- Sebastien Bacher <seb128@debian.org>  Mon,  9 May 2005 23:53:44 +0200

python-gtk2 (2.6.1-2) unstable; urgency=low

  * CVS patch to fix the crash when argv is not set (Closes: #299328).

 -- Sebastien Bacher <seb128@debian.org>  Thu, 17 Mar 2005 17:08:41 +0100

python-gtk2 (2.6.1-1) unstable; urgency=low

  * New upstream release.
  * CVS patch to fix the crash when argv is not set (Closes: #299328).

 -- Sebastien Bacher <seb128@debian.org>  Thu, 17 Mar 2005 15:17:17 +0100

python-gtk2 (2.6.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - updated the Build-Depends.
  * debian/python2.3-gtk2.examples:
    - now pygtk-demo is in the standard installation.
  * debian/rules:
    - install pygtk-demo in /usr/bin.

 -- Sebastien Bacher <seb128@debian.org>  Wed,  9 Mar 2005 19:11:55 +0100

python-gtk2 (2.4.1-2) unstable; urgency=low

  * debian/control:
    - python-gtk2 depends on the current version of python2.3-gtk2 
      (Closes: #281488).
  * debian/install-examples:
    - not needed since the examples are uncompressed now.
  * debian/rules:
    - dont' compress examples (Closes: #279604).
    - removed extra .pyc files (Closes: #276353).

 -- Sebastien Bacher <seb128@debian.org>  Mon, 22 Nov 2004 11:48:19 +0100

python-gtk2 (2.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Sun,  7 Nov 2004 18:08:22 +0100

python-gtk2 (2.4.0-2) unstable; urgency=low

  * apply the CVS fix to not use "typename" which is a C++ keyword 
   (Closes: #276518).

 -- Sebastien Bacher <seb128@debian.org>  Thu, 14 Oct 2004 19:20:01 +0200

python-gtk2 (2.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Mon,  4 Oct 2004 00:08:21 +0200

python-gtk2 (2.3.97-1) experimental; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Tue, 28 Sep 2004 17:34:16 +0200

python-gtk2 (2.3.96-1) experimental; urgency=low

  * New upstream version
    - fixes the crash with gtk.icon_size_register (Closes: #261109).
  * debian/control:
    - Build-Depends on python2.3-numeric.
  * debian/move_files:
    - fixed the regexp to get python versions to use.

 -- Sebastien Bacher <seb128@debian.org>  Fri,  6 Aug 2004 19:19:57 +0200

python-gtk2 (2.3.95-1) experimental; urgency=low

  * New upstream release
    - require python 2.3 and gtk+ 2.4.
  * debian/control:
    - removed the python2.2-* packages.
    - updated the Build-Depends.
  * debian/python2.2*:
    - removed.
  * debian/rules:
    - removed python2.2-* build.

 -- Sebastien Bacher <seb128@debian.org>  Mon,  2 Aug 2004 14:25:53 +0200

python-gtk2 (2.3.94-1) experimental; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Thu, 22 Jul 2004 00:16:46 +0200

python-gtk2 (2.3.93-2) experimental; urgency=low

  * CVS patch to fix the libglade problem.

 -- Sebastien Bacher <seb128@debian.org>  Tue, 20 Jul 2004 16:53:28 +0200

python-gtk2 (2.3.93-1) experimental; urgency=low

  * New upstream release:
    - fix gtk.gdk.window_lookup assertion (Closes: #237125).
  * debian/control:
    - Build-Depends on python.
 
 -- Sebastien Bacher <seb128@debian.org>  Mon, 19 Jul 2004 18:45:30 +0200

python-gtk2 (2.3.92-1) experimental; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Sat, 22 May 2004 13:12:10 +0200

python-gtk2 (2.3.91-1) experimental; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Fri, 16 Apr 2004 21:38:01 +0200

python-gtk2 (2.3.90-1) experimental; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Wed,  7 Apr 2004 23:39:54 +0200

python-gtk2 (2.2.0-1) unstable; urgency=low

  * New upstream release:
    + removed gtkgl bindings.
  * debian/control:
    + remove gtkgl packages.
  * debian/patches/01pixmap_foreign_new_leak.dpatch:
    + removed since the changes are in new version.

 -- Sebastien Bacher <seb128@debian.org>  Thu, 11 Mar 2004 23:10:34 +0100

python-gtk2 (2.0.0-4) unstable; urgency=low

  * debian/patches/01pixmap_foreign_new_leak.dpatch:
    + patch to fix a mem leak with pixmaps.

 -- Sebastien Bacher <seb128@debian.org>  Sun, 22 Feb 2004 22:39:34 +0100

python-gtk2 (2.0.0-3) unstable; urgency=low

  * Removed pygtk.py[co] (Closes: #222473, #222985).

 -- Sebastien Bacher <seb128@debian.org>  Fri,  5 Dec 2003 17:27:46 +0100

python-gtk2 (2.0.0-2) unstable; urgency=low

  * Removed python2.2-gtkgl2 since python-opengl is only for python2.3.
  * Removed pygtk 1.2 examples (Closes: #210987).

 -- Sebastien Bacher <seb128@debian.org>  Wed, 17 Sep 2003 16:41:58 +0200

python-gtk2 (2.0.0-1) unstable; urgency=low

  * New upstream.
  * Stable version is out, it's time to switch pygtk default version
    from 1.2 to 2 (Closes: #163253).
  * Fixed install-examples (Closes: #208234).

 -- Sebastien Bacher <seb128@debian.org>  Mon,  1 Sep 2003 18:15:40 +0200

python-gtk2 (1.99.18-1) unstable; urgency=low

  * New upstream release.
  * Updated to Standards-Version 3.6.1.0.

 -- Sebastien Bacher <seb128@debian.org>  Sun, 24 Aug 2003 17:41:23 +0200

python-gtk2 (1.99.17-6) unstable; urgency=low

  * Added missing depends on python-numeric (Closes: #205362).

 -- Sebastien Bacher <seb128@debian.org>  Thu, 14 Aug 2003 13:42:58 +0200

python-gtk2 (1.99.17-5) unstable; urgency=low

  * Added missing pygtk-codegen-2.0 to python-gtk2-dev.

 -- Sebastien Bacher <seb128@debian.org>  Thu, 14 Aug 2003 01:45:33 +0200

python-gtk2 (1.99.17-4) unstable; urgency=low

  * Fixed overwrite problem (Closes: #205176).
  * Added python-gtk2-dev package with devel files.

 -- Sebastien Bacher <seb128@debian.org>  Wed, 13 Aug 2003 14:38:32 +0200

python-gtk2 (1.99.17-3) unstable; urgency=low

  * Fixed depends.
  * debian/rules
    + Changed header of py files with Matthias Klose's script.

 -- Sebastien Bacher <seb128@debian.org>  Tue, 12 Aug 2003 22:09:50 +0200

python-gtk2 (1.99.17-2) unstable; urgency=low

  * Now python 2.3 is the default version.
  * Use dh_python.

 -- Sebastien Bacher <seb128@debian.org>  Mon, 11 Aug 2003 13:19:09 +0200

python-gtk2 (1.99.17-1) unstable; urgency=low

  * New upstream release.
  * I've more interest on pygtk than Torsten for the moment, so we switch
    maintainer and uploaders field.
  
 -- Sebastien Bacher <seb128@debian.org>  Thu, 31 Jul 2003 18:38:46 +0200

python-gtk2 (1.99.16-3) unstable; urgency=low

  * Added Depends on python-opengl for python-gtkgl2 (Closes: #196064).
  * Added a "install-examples" script in examples dir to install gunzip 
    demos (Closes: #193841)
  * Updated to standards version 3.6.0.
  * Added homepage and author to the description.
  
 -- Sebastien Bacher <seb128@debian.org>  Fri, 13 Jun 2003 22:29:49 +0200

python-gtk2 (1.99.16-2) unstable; urgency=low

  * Fixed libglade example (Closes: #189321).
  * Updated to standards version 3.5.9.
  * Added Depends on ${misc:Depends}.
  * Changed section to python.

 -- Sebastien Bacher <seb128@debian.org>  Fri,  2 May 2003 12:22:29 +0200

python-gtk2 (1.99.16-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Mon, 24 Mar 2003 01:44:07 +0100

python-gtk2 (1.99.15-2) unstable; urgency=low

  * Remove *.pyc and *.pyo from the package. These files are compiled after
    the installation (that change the size of the files and make the debsums 
    failed), so we don't need to have them in the package (Closes: #181211).

 -- Sebastien Bacher <seb128@debian.org>  Sat, 22 Feb 2003 15:25:25 +0100

python-gtk2 (1.99.15-1) unstable; urgency=low

  * Co-maintainer upload.
  * New upstream version.
  * Depends on a versioned python2.2-gtk2 (Closes: #179376).
  * Updated to standards-version 3.5.8.
  
 -- Sebastien Bacher <seb128@debian.org>  Fri, 21 Feb 2003 17:50:28 +0100

python-gtk2 (1.99.14-1) unstable; urgency=low

  * Co-maintainer upload.
  * New upstream version. (Closes: #174997).
  * Package is compiled with thread support (Closes: #163037).
  * Corrected depend on libgtk2.0-0 (Closes: #162382).
  * Added a README.Debian file (Closes: #160342).  
  * Corrected descriptions in control file to fix some lintian error.
  * Fixed examples (Closes: #171982, #167945, #163794).

 -- Sebastien Bacher <seb128@debian.org>  Fri, 31 Jan 2003 18:12:00 +0100

python-gtk2 (1.99.13-4) unstable; urgency=low

  * Rebuild against latest python2.3 (closes: #173819).

 -- Torsten Landschoff <torsten@debian.org>  Sat, 21 Dec 2002 02:28:41 +0100

python-gtk2 (1.99.13-3) unstable; urgency=low

  * debian/rules: Explicitely enable threading support since the default
    seems to disable it. Noticed by Matthias Urlichs - I did not notice
    I was missing something.

 -- Torsten Landschoff <torsten@debian.org>  Wed,  2 Oct 2002 00:06:29 +0200

python-gtk2 (1.99.13-2) unstable; urgency=low

  * debian/move_files: Fix the check_completeness function (find's return
    code is not really useful it seems).
  * debian/control: 
    + Add Sebastien Bacher as co-maintainer. 
    + Make the package conflict with older python-gtk versions that
      don't support the pygtk.py alternative.
  * debian/python2.*-gtk2.{postinst,prerm}: Manage the pygtk.py alternatives.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 31 Aug 2002 19:04:24 +0200

python-gtk2 (1.99.13-1) unstable; urgency=low

  * New upstream release.
  * Build modules for python 2.2 as well as for 2.3.
  * Create dummy packages python-* to pull the right package for
    the default python release.

 -- Torsten Landschoff <torsten@debian.org>  Fri, 30 Aug 2002 18:47:09 +0200

python-gtk2 (1.99.12-1) unstable; urgency=low

  * Initial Release.

 -- Torsten Landschoff <torsten@debian.org>  Tue,  6 Aug 2002 21:50:17 +0200

